function [report,hh] = BehavioristicAdjustment_Reporting(hh, report, ip, maxiter)
%PreferredShare_Effort_Reporting: reporting of updates in preferred share
%and effort
%%%%%%%%%
% Input: hh, report, ip
%%%%%%%%%
% Returns: report structure


% report price development EA and EU
report.EA.priceEEA{ip} = hh.EA.priceEEA;
report.EA.priceNonEEA{ip} = hh.EA.priceNonEEA;
report.EU.priceEU{ip} = hh.EU.priceEU;

for cl=1:hh.ClNumber
    % EA reports
    report.hh.EA.CostWeight{cl,ip} = hh.EA.CostWeight{cl,1}; 
    report.hh.EA.ChangePSbyElasticity{cl,ip} = hh.EA.large.EEA.ChangePSbyElasticity{cl,1};
    report.hh.EA.change_PS_Lit{cl,ip} = hh.EA.large.EEA.change_PS_Lit{cl,1};
    report.hh.EA.ChangePSTechnical{cl,ip} = hh.EA.large.EEA.ChangePSTechnical{cl,1} ;
    report.hh.EA.Change_PS_Conv{cl,ip} = hh.EA.large.EEA.Change_PS_Conv{cl,1};
    report.hh.EA.ChangePSCost{cl,ip} = hh.EA.large.EEA.ChangePSCost{cl,1};
    report.hh.EA.PreferredShare_large_EEA{cl,ip} = hh.EA.large.EEA.PreferredShare{cl,1};
    report.hh.EA.ChangeIndicator{cl,ip} = hh.EA.ChangeIndicator{cl,1};
    
    % EU/ Effort reports
    report.hh.EU.ChangeEffortNorm{cl,ip} = hh.EU.ChangeEffortNorm{cl,1};
    report.hh.EU.ChangeEffortByElasticity{cl,ip} = hh.EU.ChangeEffortByElasticity{cl,1};
    report.hh.EU.ChangeEffortLit{cl,ip} = hh.EU.ChangeEffortLit{cl,1};
    report.hh.EU.Change_Effort_Conversations{cl,ip} = hh.EU.Change_Effort_Conversations{cl,1};
    report.hh.EU.ChangeEffortReboundEffect{cl,ip} = hh.EU.ChangeEffortReboundEffect{cl,1};
    report.hh.EU.Effort{cl,ip} = hh.EU.Effort{cl,1};    
    report.hh.EU.EffortLevel{cl,ip} = hh.EU.EffortLevel{cl,1};
    
    % budget constraint, vlaued cost and relative costs
    report.hh.EA.budget_constrained{cl,ip} = hh.EA.large.budget_constrained{cl,1};
    report.hh.EA.RelativeValuedCostsEEA{cl,ip} =hh.EA.RelativeValuedCostsEEA{cl,1};
    report.hh.EA.ValuedCostEEA{cl,ip} = hh.EA.ValuedCostEEA{cl,1};
    report.hh.EA.ValuedCostNonEEA{cl,ip} = hh.EA.ValuedCostNonEEA{cl,1};
    
    % report learning, lit campaign effect and lit level
    report.hh.NI.Learning{cl,ip} = hh.NI.Learning{cl,1};
    report.hh.NI.change_lit_by_campaign{cl,ip} = hh.NI.change_lit{cl,1};
    report.hh.NI.Lit{cl,ip} = hh.NI.Lit{cl,1}; 
        
    % set conversation and learning variables back to zero for next iteration
    hh.EA.large.EEA.Change_EEA_PS_Conv{cl,1}=zeros(hh.N(cl),1);
    hh.EU.Change_Effort_Conv{cl,1}=zeros(hh.N(cl),1);
    hh.NI.Learning{cl,1} = zeros(hh.N(cl),1);
end   

end