function Input = EU_Parameters(Input)
%EU_PARAMETERS Ad-hoc initial setup 
%%%%%%%%%
% Input: Input structure
%%%%%%%%%
% Returns/updates: Input structure

Input.EU.EEAEnergyReduction = 0.4; % potential relative energy conservation

% assign mode effort: 1 = cluster level, 2 = taking into account
% correlations with literacy and norms
Input.EU.assign_modes_effort = 2;

% min effort, max savings by effort and max effort level
Input.EU.max_savings_by_effort = 0.3;
Input.EU.min_effort = 0.7;
Input.EU.max_effortlevel = 5; % only reuqired if effort on 1-5 scale and not between 0 and 1

Input.EU.PriceEU =  17.76/100; %price HH in CHF pro Kilowattstunde
%historic price development:
% linear price trend from one year to the next (basd on elcom/ statista data)
Input.EU.TrendPriceEU(1) = 0;
Input.EU.TrendPriceEU(2) = 0.0008;
Input.EU.TrendPriceEU(3) = 0.0079;
Input.EU.TrendPriceEU(4) = -0.0026;
Input.EU.TrendPriceEU(5) = -0.0009;
Input.EU.TrendPriceEU(6) = -0.0005;
Input.EU.TrendPriceEU(7) = 0.0034;
Input.EU.TrendPriceEU(8) = -0.0024;
Input.EU.TrendPriceEU(9) = -0.0037;
Input.EU.TrendPriceEU(10) = 0.0053;

%future price development: historic trend continued
Input.EU.FutureTrendPriceEU(1) =0;
Input.EU.FutureTrendPriceEU(2) =0.01 ;
Input.EU.FutureTrendPriceEU(3) =0.000810061;
Input.EU.FutureTrendPriceEU(4) =0.000810061;
Input.EU.FutureTrendPriceEU(5) =0.000810061;
Input.EU.FutureTrendPriceEU(6) =0.000810061;
Input.EU.FutureTrendPriceEU(7) =0.000810061;
Input.EU.FutureTrendPriceEU(8) =0.000810061;
Input.EU.FutureTrendPriceEU(9) =0.000810061;
Input.EU.FutureTrendPriceEU(10) =0.000810061;

% Price elasticity based in Boogen et al. 2014. 
% Short-run elasticity = -0.54 to -0.59, long-run elasticity = -0.615 
% -0.565 = average of -0.54 and -0.59
Input.EU.PriceElasticity = -0.565; 

% Rebound Effect max min values: min = 20%, max = 35%: based on
% "Umweltbundesamt (2015): Rebound-Effekte: Ihre Bedeutung fr die
% Umweltpolitik"
Input.EU.ReboundEffectMax = 0.35;
Input.EU.ReboundEffectMin = 0.2;

% define if historic trend in EU considered (=1) or not (=0)
Input.EU.TrendEU = 0;
Input.EU.TrendEU_ChangeYear = -0.00104; % percentage change EU per year based BFE - Faktenblatt Stromverbrauch Elektrogerte 2018

 