function hh = IT_AssignHH(hh,Input,ip)
%IT_ASSIGNHH Define info and trust variables
%%%%%%%%%
% Input: hh, Input, ip
%%%%%%%%%
% Returns: hh structure

from = Input.IT.from; % load sources of IT from cluster struct

switch ip
    case 1
        % set variables to assign
        for f = 1:length(from(:,1))
            source = strrep(from(f,:),' ','');
            hh.IT.Info.(source){hh.ClNumber,1} = 0; 
            hh.IT.Trust.(source){hh.ClNumber,1} = 0;
        end
end



%% Assign information and trust variables
for cl = 1:hh.ClNumber % type loop

    for f = 1:length(from(:,1))
        source = strrep(from(f,:),' ','');
        hh.IT.Info.(source){cl,1} = NaN(hh.N(cl),1);
        hh.IT.Trust.(source){cl,1} = NaN(hh.N(cl),1);

        for h = 1:hh.N(cl) % household loop
            
            % Assign Info levels by cl
            hh.IT.Info.(source){cl,1}(h) = ...1 if hh took info from source
                (rand < Input.IT.Info.Share.(source)(cl));
            
            % Assign Trust levels by cl
            Randn = rand;
            for tru = 1:length(Input.IT.Trust.Share.(source)(1,:)) 
                % trust in source (1 no, 5 very)
                if Randn < Input.IT.Trust.CondProb.(source)(cl,tru) ...
                        && isnan(hh.IT.Trust.(source){cl,1}(h))
                    hh.IT.Trust.(source){cl,1}(h) = tru;
                end
            end
        end
    end 
end

hh.IT.from = from; % save sources of IT in hh struct

