function output = ImportTrust(filename)
%IMPORTFILE1 Import numeric data from a text file as column vectors.
%   output = ImportTrust(FILENAME) Reads data from text file
%   FILENAME for the default selection.

%    See also TEXTSCAN.

% Auto-generated by MATLAB on 2018/08/08 17:25:17

%% Initialize variables.
delimiter = ',';
startRow = 4;
endRow = inf;

%% Format for each line of text:
%   column2: double (%f) (trust=not at all (1))
%	column3: double (%f) (trust=2)
%	column4: double (%f) (trust=3)
%	column5: double (%f) (trust=4)
%	column6: double (%f) (trust=very strongly (5))
% For more information, see the TEXTSCAN documentation.
formatSpec = '%*s%f%f%f%f%f%*f%[^\n\r]';

%% Open the text file.
fileID = fopen(filename,'r');

%% Read columns of data according to the format.
% This call is based on the structure of the file used to generate this
% code. If an error occurs for a different file, try regenerating the code
% from the Import Tool.
dataArray = textscan(fileID, formatSpec, endRow(1)-startRow(1)+1, 'Delimiter', delimiter, 'HeaderLines', startRow(1)-1, 'ReturnOnError', false, 'EndOfLine', '\r\n');

%% Close the text file.
fclose(fileID);

%% Post processing for unimportable data.
% No unimportable data rules were applied during the import, so no post
% processing code is included. To generate code which works for
% unimportable data, select unimportable cells in a file and regenerate the
% script.

%% Allocate imported array to column variable names
last = length(dataArray{:,1}); % last row is sum --> to be ignored
output = NaN(last-1,3);
output(:,1) = dataArray{1, 1}(1:last-1);
output(:,2) = dataArray{1, 2}(1:last-1);
output(:,3) = dataArray{1, 3}(1:last-1);
output(:,4) = dataArray{1, 4}(1:last-1);
output(:,5) = dataArray{1, 5}(1:last-1);

