function distribution = LogNormalDist(m, s, size)
%% Draws from log normal distribution with mean m and SD s
%   m mean
%   s standard deviation
%   size determines size of distribution

v = s^2;
mu = log((m^2)/sqrt(v+m^2));
sigma = sqrt(log(v/(m^2)+1));


distribution = lognrnd(mu,sigma,size,1);
    

end

