function Input = NW_Parameters(Input)
%NW_PARAMETERS Ad-hoc initial setup of network characteristics
%%%%%%%%%
% Input: Input structure
%%%%%%%%%
% Returns/updates: Input structure

% Set networks
Input.NW.NWNames = char('Family', 'Friends', 'Neighborhood');
% Set avg # of members per network
Input.NW.MeanSize = [10 25 75];
% Set percentage of hhs belonging to two networks
Input.NW.BelongTwo = [.1 .5 .2]; % in % of HH
% Set correlation of NWs by cluster (0: no corr, 1 only by cl)
Input.NW.ClCorr = [.3 .6 .95];

% cluster correlation with 6 clusters 
% (cluster 5 splitted in two clusters, old city and old agglo&country)
Input.NW.Cl6Corr = [.3 .6 .5];

% cluster correlation with 6 clusters and german/ french regions
Input.NW.Cl6RegionCorr = [.3 .6 1];

% -------------------- NW segregation -----------------------
% define if NWs created with segregation:
% 0 = no segregation
% 1 = segregation by HH characteristics (e.g. norms, literacy, trust)
% 2 = segregation by language region
% 3 = segregation by grossregion (not yet implemented)
Input.NW.Segregation = [2];

% define segregation criteria:
% must be integers between 1 and 5: 
% e.g. desc norms  or trust in SFOE, fam
Input.NW.SegregationCriteria = char('NI','Desc');
%Input.NW.SegregationCriteria = char('IT','Trust','SFOE');
%Input.NW.SegregationCriteria = char('IT','Trust','fam');

