% -------------  ex post reporting and figures: --------------------------

%% reporting
ReportingExPost.cluster = cell2mat(hh.cl);
ReportingExPost.category = cell2mat(hh.cat.cat);
ReportingExPost.N = sum(hh.N);
ReportingExPost.NCl = hh.N;
ReportingExPost.trust_sfoe = cell2mat(hh.IT.Trust.SFOE);
ReportingExPost.desc_norms = cell2mat(hh.NI.Desc);
ReportingExPost.inj_norms = (cell2mat(hh.NI.Inj)-.5)*2;

% mean by group
ReportingExPost.mean_inj_norms = mean(ReportingExPost.inj_norms); 
ReportingExPost.mean_trust_sfoe = mean(ReportingExPost.trust_sfoe); 
ReportingExPost.mean_desc_norms = mean(ReportingExPost.desc_norms); 
% above mean indicator by group
ReportingExPost.above_mean_inj_norms_indicator = (ReportingExPost.inj_norms > ReportingExPost.mean_inj_norms);
ReportingExPost.above_mean_inj_norms_indicator = int8(ReportingExPost.above_mean_inj_norms_indicator);
ReportingExPost.above_mean_desc_norms_indicator = (ReportingExPost.desc_norms > ReportingExPost.mean_desc_norms);
ReportingExPost.above_mean_desc_norms_indicator = int8(ReportingExPost.above_mean_desc_norms_indicator);
ReportingExPost.above_mean_trust_sfoe_indicator = (ReportingExPost.trust_sfoe > ReportingExPost.mean_trust_sfoe);
ReportingExPost.above_mean_trust_sfoe_indicator = int8(ReportingExPost.above_mean_trust_sfoe_indicator);

ReportingExPost.sceanrios = char(...
'base'...
);

for f = 1:length(ReportingExPost.sceanrios(:,1))
    scenario = strrep(ReportingExPost.sceanrios(f,:),' ','');
    for sr = 1:maxsr
        sr_name = sprintf('%s%d','sr',sr);
    
        ReportingExPost.hh_eea.(scenario){sr,1} = cell2mat(SimReport.(scenario).(sr_name).hh.EA.large_EEA_share);
        ReportingExPost.hh_eu.(scenario){sr,1} = cell2mat(SimReport.(scenario).(sr_name).hh.EU.level);
        
        for ip = 1:maxiter+1
            ReportingExPost.avg_eea_sr.(scenario)(sr,ip) = sum(ReportingExPost.hh_eea.(scenario){sr,1}(:,ip))/ReportingExPost.N;
            ReportingExPost.avg_eu_sr.(scenario)(sr,ip) = sum(ReportingExPost.hh_eu.(scenario){sr,1}(:,ip))/ReportingExPost.N;
            
            for cl = 1:hh.ClNumber
                ReportingExPost.avg_eea_sr_cl.(scenario)(cl,ip,sr) = mean(ReportingExPost.hh_eea.(scenario){sr,1}((ReportingExPost.cluster == cl),ip));
                ReportingExPost.avg_eu_sr_cl.(scenario)(cl,ip,sr) = mean(ReportingExPost.hh_eu.(scenario){sr,1}((ReportingExPost.cluster == cl),ip));
            end
            for cc = 1:hh.cat.number
                ReportingExPost.avg_eea_sr_cat.(scenario)(cc,ip,sr) = mean(ReportingExPost.hh_eea.(scenario){sr,1}((ReportingExPost.category == cc),ip));
                ReportingExPost.avg_eu_sr_cat.(scenario)(cc,ip,sr) = mean(ReportingExPost.hh_eu.(scenario){sr,1}((ReportingExPost.category == cc),ip));
            end
            for trust = 1:5
                ReportingExPost.avg_eea_sr_trust.(scenario)(trust,ip,sr) = mean(ReportingExPost.hh_eea.(scenario){sr,1}((ReportingExPost.trust_sfoe == trust),ip));
                ReportingExPost.avg_eu_sr_trust.(scenario)(trust,ip,sr) = mean(ReportingExPost.hh_eu.(scenario){sr,1}((ReportingExPost.trust_sfoe == trust),ip));
            end
            for desc = 1:5
                ReportingExPost.avg_eea_sr_desc.(scenario)(desc,ip,sr) = mean(ReportingExPost.hh_eea.(scenario){sr,1}((ReportingExPost.desc_norms == desc),ip));
                ReportingExPost.avg_eu_sr_desc.(scenario)(desc,ip,sr) = mean(ReportingExPost.hh_eu.(scenario){sr,1}((ReportingExPost.desc_norms == desc),ip));
            end
            for inj = 1:9
                ReportingExPost.avg_eea_sr_inj.(scenario)(inj,ip,sr) = mean(ReportingExPost.hh_eea.(scenario){sr,1}((ReportingExPost.inj_norms == inj),ip));
                ReportingExPost.avg_eu_sr_inj.(scenario)(inj,ip,sr) = mean(ReportingExPost.hh_eu.(scenario){sr,1}((ReportingExPost.inj_norms == inj),ip));
            end
            for trust_ind = 1:2
                ReportingExPost.avg_eea_sr_trust_ind.(scenario)(trust_ind,ip,sr) = mean(ReportingExPost.hh_eea.(scenario){sr,1}(((ReportingExPost.above_mean_trust_sfoe_indicator+1) == trust_ind),ip));
                ReportingExPost.avg_eu_sr_trust_ind.(scenario)(trust_ind,ip,sr) = mean(ReportingExPost.hh_eu.(scenario){sr,1}(((ReportingExPost.above_mean_trust_sfoe_indicator+1) == trust_ind),ip));
            end
            for desc_ind = 1:2
                ReportingExPost.avg_eea_sr_desc_ind.(scenario)(desc_ind,ip,sr) = mean(ReportingExPost.hh_eea.(scenario){sr,1}(((ReportingExPost.above_mean_desc_norms_indicator+1) == desc_ind),ip));
                ReportingExPost.avg_eu_sr_desc_ind.(scenario)(desc_ind,ip,sr) = mean(ReportingExPost.hh_eu.(scenario){sr,1}(((ReportingExPost.above_mean_desc_norms_indicator+1) == desc_ind),ip));
            end
            for inj_ind = 1:2
                ReportingExPost.avg_eea_sr_inj_ind.(scenario)(inj_ind,ip,sr) = mean(ReportingExPost.hh_eea.(scenario){sr,1}(((ReportingExPost.above_mean_inj_norms_indicator+1) == inj_ind),ip));
                ReportingExPost.avg_eu_sr_inj_ind.(scenario)(inj_ind,ip,sr) = mean(ReportingExPost.hh_eu.(scenario){sr,1}(((ReportingExPost.above_mean_inj_norms_indicator+1) == inj_ind),ip));
            end
        end         
    end
    for ip = 1:maxiter+1
       ReportingExPost.avg_eea.(scenario)(ip,1) = mean(ReportingExPost.avg_eea_sr.(scenario)(:,ip));
       ReportingExPost.avg_eu.(scenario)(ip,1) = mean(ReportingExPost.avg_eu_sr.(scenario)(:,ip));
       ReportingExPost.std_eea.(scenario)(ip,1) = std(ReportingExPost.avg_eea_sr.(scenario)(:,ip));      
       ReportingExPost.std_eu.(scenario)(ip,1) = std(ReportingExPost.avg_eu_sr.(scenario)(:,ip));
       
        for cl = 1:hh.ClNumber
            ReportingExPost.avg_eea_cl.(scenario)(ip,cl) = mean(ReportingExPost.avg_eea_sr_cl.(scenario)(cl,ip,:));
            ReportingExPost.avg_eu_cl.(scenario)(ip,cl) = mean(ReportingExPost.avg_eu_sr_cl.(scenario)(cl,ip,:));
            ReportingExPost.std_eea_cl.(scenario)(ip,cl) = std(ReportingExPost.avg_eea_sr_cl.(scenario)(cl,ip,:));
            ReportingExPost.std_eu_cl.(scenario)(ip,cl) = std(ReportingExPost.avg_eu_sr_cl.(scenario)(cl,ip,:));
        end
        for cc = 1:hh.cat.number
            ReportingExPost.avg_eea_cat.(scenario)(ip,cc) = mean(ReportingExPost.avg_eea_sr_cat.(scenario)(cc,ip,:));
            ReportingExPost.avg_eu_cat.(scenario)(ip,cc) = mean(ReportingExPost.avg_eu_sr_cat.(scenario)(cc,ip,:));
            ReportingExPost.std_eea_cat.(scenario)(ip,cc) = std(ReportingExPost.avg_eea_sr_cat.(scenario)(cc,ip,:));
            ReportingExPost.std_eu_cat.(scenario)(ip,cc) = std(ReportingExPost.avg_eu_sr_cat.(scenario)(cc,ip,:));
        end
        for trust = 1:5
            ReportingExPost.avg_eea_trust.(scenario)(ip,trust) = mean(ReportingExPost.avg_eea_sr_trust.(scenario)(trust,ip,:));
            ReportingExPost.avg_eu_trust.(scenario)(ip,trust) = mean(ReportingExPost.avg_eu_sr_trust.(scenario)(trust,ip,:));
            ReportingExPost.std_eea_trust.(scenario)(ip,trust) = std(ReportingExPost.avg_eea_sr_trust.(scenario)(trust,ip,:));
            ReportingExPost.std_eu_trust.(scenario)(ip,trust) = std(ReportingExPost.avg_eu_sr_trust.(scenario)(trust,ip,:));
        end
        for desc = 1:5
            ReportingExPost.avg_eea_desc.(scenario)(ip,desc) = mean(ReportingExPost.avg_eea_sr_desc.(scenario)(desc,ip,:));
            ReportingExPost.avg_eu_desc.(scenario)(ip,desc) = mean(ReportingExPost.avg_eu_sr_desc.(scenario)(desc,ip,:));
            ReportingExPost.std_eea_desc.(scenario)(ip,desc) = std(ReportingExPost.avg_eea_sr_desc.(scenario)(desc,ip,:));
            ReportingExPost.std_eu_desc.(scenario)(ip,desc) = std(ReportingExPost.avg_eu_sr_desc.(scenario)(desc,ip,:));
        end
        for inj = 1:9
            ReportingExPost.avg_eea_inj.(scenario)(ip,inj) = mean(ReportingExPost.avg_eea_sr_inj.(scenario)(inj,ip,:));
            ReportingExPost.avg_eu_inj.(scenario)(ip,inj) = mean(ReportingExPost.avg_eu_sr_inj.(scenario)(inj,ip,:));
            ReportingExPost.std_eea_inj.(scenario)(ip,inj) = std(ReportingExPost.avg_eea_sr_inj.(scenario)(inj,ip,:));
            ReportingExPost.std_eu_inj.(scenario)(ip,inj) = std(ReportingExPost.avg_eu_sr_inj.(scenario)(inj,ip,:));
        end
        for trust_ind = 1:2
            ReportingExPost.avg_eea_trust_ind.(scenario)(ip,trust_ind) = mean(ReportingExPost.avg_eea_sr_trust_ind.(scenario)(trust_ind,ip,:));
            ReportingExPost.avg_eu_trust_ind.(scenario)(ip,trust_ind) = mean(ReportingExPost.avg_eu_sr_trust_ind.(scenario)(trust_ind,ip,:));
            ReportingExPost.std_eea_trust_ind.(scenario)(ip,trust_ind) = std(ReportingExPost.avg_eea_sr_trust_ind.(scenario)(trust_ind,ip,:));
            ReportingExPost.std_eu_trust_ind.(scenario)(ip,trust_ind) = std(ReportingExPost.avg_eu_sr_trust_ind.(scenario)(trust_ind,ip,:));
        end
        for desc_ind = 1:2
            ReportingExPost.avg_eea_desc_ind.(scenario)(ip,desc_ind) = mean(ReportingExPost.avg_eea_sr_desc_ind.(scenario)(desc_ind,ip,:));
            ReportingExPost.avg_eu_desc_ind.(scenario)(ip,desc_ind) = mean(ReportingExPost.avg_eu_sr_desc_ind.(scenario)(desc_ind,ip,:));
            ReportingExPost.std_eea_desc_ind.(scenario)(ip,desc_ind) = std(ReportingExPost.avg_eea_sr_desc_ind.(scenario)(desc_ind,ip,:));
            ReportingExPost.std_eu_desc_ind.(scenario)(ip,desc_ind) = std(ReportingExPost.avg_eu_sr_desc_ind.(scenario)(desc_ind,ip,:));
        end
        for inj_ind = 1:2
            ReportingExPost.avg_eea_inj_ind.(scenario)(ip,inj_ind) = mean(ReportingExPost.avg_eea_sr_inj_ind.(scenario)(inj_ind,ip,:));
            ReportingExPost.avg_eu_inj_ind.(scenario)(ip,inj_ind) = mean(ReportingExPost.avg_eu_sr_inj_ind.(scenario)(inj_ind,ip,:));
            ReportingExPost.std_eea_inj_ind.(scenario)(ip,inj_ind) = std(ReportingExPost.avg_eea_sr_inj_ind.(scenario)(inj_ind,ip,:));
            ReportingExPost.std_eu_inj_ind.(scenario)(ip,inj_ind) = std(ReportingExPost.avg_eu_sr_inj_ind.(scenario)(inj_ind,ip,:));
        end
    end
end

%% plots aggregate

%------------------------- eea share --------------------------------------
% get colormap
rgb(1,:)= [0,0,0];
rgb(2,:)= HInt2RGB(1,100); % red, darkest
rgb(3,:)= HInt2RGB(7,82); % cyan, less dark
rgb(4,:)= HInt2RGB(3,64); % green, less dark
rgb(5,:)= HInt2RGB(9,46); % magenta, less dark
rgb(6,:)= HInt2RGB(2,28); % orange, less dark
rgb(7,:)= HInt2RGB(8,46); % blue cyan, lightest
rgb(8,:)= HInt2RGB(10,100); 
rgb(9,:)= HInt2RGB(5,100); 
rgb(10,:)= HInt2RGB(11,100); 

% iterations
iter = 1:1:maxiter+1;


figure;
hold on
errorbar(iter,ReportingExPost.avg_eea.base(1:maxiter+1,1),ReportingExPost.std_eea.base(1:maxiter+1,1),...
    'LineWidth',1,'Color',rgb(1,:),'LineStyle',':');  

ylabel('EEA Share')
xlabel('Years')
xticks(1:1:maxiter+1)
legend({'base'}...
    ,'Location','southoutside'...
    ,'Orientation','horizontal'...
    ,'FontSize',7 ...
    );
hold off
filename='EEAshare_Base';
print([pwd '\results\simulation\' filename],'-dpng');


%% writing results to excel

ReportingExPost.sceanrios = char(...
	'base'...
);

%--------------------------- eea

for f = 1:length(ReportingExPost.sceanrios(:,1))
	scenario = strrep(ReportingExPost.sceanrios(f,:),' ','');
	row_header(f,:)={scenario}; % add scenario names to cells
        
    avg_eea_matrix(f,:) = ReportingExPost.avg_eea.(scenario);   
end
avg_eea =[row_header,num2cell(avg_eea_matrix)];


for f = 1:length(ReportingExPost.sceanrios(:,1))
	scenario = strrep(ReportingExPost.sceanrios(f,:),' ','');

	for cl = 1:hh.ClNumber  
	        row_header_cl(((f-1)*hh.ClNumber+cl),:)={scenario}; 
	        row_header_cl(((f-1)*hh.ClNumber+cl),2)={cl};  

	        avg_eea_cl_matrix(((f-1)*hh.ClNumber+cl),:) = ReportingExPost.avg_eea_cl.(scenario)(:,cl); 
	end	
end
avg_eea_cl=[row_header_cl, num2cell(avg_eea_cl_matrix)]; 
clear row_header_cl cl

for f = 1:length(ReportingExPost.sceanrios(:,1))
	scenario = strrep(ReportingExPost.sceanrios(f,:),' ','');

	for cl = 1:8
	        row_header_cl(((f-1)*8+cl),:)={scenario}; 
	        row_header_cl(((f-1)*8+cl),2)={cl};  

	        avg_eea_cat_matrix(((f-1)*8+cl),:) = ReportingExPost.avg_eea_cat.(scenario)(:,cl); 
	end
end
avg_eea_cat=[row_header_cl, num2cell(avg_eea_cat_matrix)]; 	
clear row_header_cl cl

for f = 1:length(ReportingExPost.sceanrios(:,1))
	scenario = strrep(ReportingExPost.sceanrios(f,:),' ','');

	for cl = 1:5
	        row_header_cl(((f-1)*5+cl),:)={scenario}; 
	        row_header_cl(((f-1)*5+cl),2)={cl};  

	        avg_eea_trust_matrix(((f-1)*5+cl),:) = ReportingExPost.avg_eea_trust.(scenario)(:,cl); 
	end	
end
avg_eea_trust=[row_header_cl, num2cell(avg_eea_trust_matrix)]; 	
clear row_header_cl cl

for f = 1:length(ReportingExPost.sceanrios(:,1))
	scenario = strrep(ReportingExPost.sceanrios(f,:),' ','');

	for cl = 1:5
	        row_header_cl(((f-1)*5+cl),:)={scenario}; 
	        row_header_cl(((f-1)*5+cl),2)={cl};  

	        avg_eea_desc_matrix(((f-1)*5+cl),:) = ReportingExPost.avg_eea_desc.(scenario)(:,cl); 
	end	
end
avg_eea_desc=[row_header_cl, num2cell(avg_eea_desc_matrix)]; 	
clear row_header_cl cl

for f = 1:length(ReportingExPost.sceanrios(:,1))
	scenario = strrep(ReportingExPost.sceanrios(f,:),' ','');

	for cl = 1:9
	        row_header_cl(((f-1)*9+cl),:)={scenario}; 
	        row_header_cl(((f-1)*9+cl),2)={cl};  

	        avg_eea_inj_matrix(((f-1)*9+cl),:) = ReportingExPost.avg_eea_inj.(scenario)(:,cl); 
	end	
end
avg_eea_inj=[row_header_cl, num2cell(avg_eea_inj_matrix)]; 
clear row_header_cl cl

 % set excel range:
number_previous_scenarios = 0; % change number of previous scenarios here (in case want to write im same excel):

if number_previous_scenarios == 0
    firstRow = 3 + number_previous_scenarios;
else
    firstRow = 3 + number_previous_scenarios + 1;
end
firstCol = 'A';
cellRange = [firstCol,num2str(firstRow)];



% set results file name:
FileName = 'results\EEA.xlsx';

% copy template
copyfile('results\Template_Results.xlsx',FileName)

xlswrite(FileName,avg_eea,'avg_agg',cellRange);
xlswrite(FileName,avg_eea_cl,'avg_cl',cellRange);
xlswrite(FileName,avg_eea_cat,'avg_cat',cellRange);
xlswrite(FileName,avg_eea_trust,'avg_trust',cellRange);
xlswrite(FileName,avg_eea_desc,'avg_desc',cellRange);
xlswrite(FileName,avg_eea_inj,'avg_inj',cellRange);



